<?
session_start();

include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);
$session = new Sessions;

if ($session->is_session(session_id())){
  $id=$session->id_person;$enter=1;
}
if ($id) {$myinfo = new Persinfo ($id);} else{ $enter=1;$myinfo=new persinfo(22);$myinfo->level=1; }


$time1=microtime(); ?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
<meta name='description' content='АНТИБК - пародия на Бойцовский Клуб. Полный архив оффлайн версий АНТИБК, Online-версия с групповыми боями, мибами и паладинами. Около 400 мегабайт БК-шного софта, примочек и приблуд. Развлекательный портал для любителей БК.'>
<meta name='keywords' content='антибк, antibk, anti, анти, бк, bk, combats, kombats, комбатс, ру, орг, org, ru, combats ru, paladins, паладины, доспех, хаоса, злости, панцирь, тарманы, темные, нейтралы, групповой, бой, бои, артефакты, кредиты, креды, кр, mercenaries, darkclan, wild, hearts, mid, мусорщик, мироздатель, лорд, разрушитель, мерлин, merlin, lel, лел, клуб, бойцовский, online, offline, онлайн, оффлайн, игра, многопользовательская, пхп, php, букет, незабудок, титанов, броня, ботинки, перчатки, перчи, статы, нуб, ньюб, артник, критовик, уворотчик, выносливость, интеллект, боец, маг, мудрость, удар, перелом, травма, клан, clan, переодевалка, лотерея, развлечения, портал, ап, up, левел, уровень, level, таблица, опыта, фанат, прокачка, прокачаться, центральная, площадь, enchanter, общий, враг, capitalcity, antibkcity, capital, forum, форум, angels, sun, sand, emerald, аукцион, 1 кр, гос, госмаг, магазин, ремонтная, мастерская, зал, воинов, рыцарей, таверна, березка, аукцион, распределение, примерочная, лекарь,'>
<STYLE>
body, td, ol, ul, li , p {
  FONT-SIZE: 10pt;
  FONT-FAMILY: Verdana, Arial, Helvetica, Tahoma, sans-serif;
}
.text {
  FONT-SIZE: 10pt; COLOR: #000000; FONT-WEIGHT: normal;
  FONT-FAMILY: Verdana, Arial, Helvetica, Tahoma, sans-serif;
}
H3      { COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 12pt;  FONT-WEIGHT: bold; TEXT-ALIGN: center }
H4      { COLOR: #8f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 11pt;  FONT-WEIGHT: bold; MARGIN-BOTTOM: 5px;}
H5      { COLOR: #4f0000;  FONT-FAMILY: Arial;  FONT-SIZE: 11pt;  FONT-WEIGHT: bold; MARGIN-BOTTOM: 0px; MARGIN-TOP: 0px;}
a,a:visited {  FONT-WEIGHT: bold; color: #003388; }
a:active  { color: #6F0000}
a:hover   { color: #0066FF; }
.date   { font-family: Courier; font-size: 8pt; text-decoration:none; font-weight:normal; color: #007000}
.date2    { font-family: Courier; font-size: 8pt; text-decoration:none; font-weight:normal; color: #007000; background-color: #00FFAA}
.sysdate  { font-family: Courier; font-size: 8pt; text-decoration:none; font-weight:normal; color: #B00000}
.private  { font-weight:bold; color: red; background-color: #FAE0E0}
.number   { font-size: 11pt; font-weight: bold; color: #6F0000}
.dsc    { color: #606060; font-weight:normal; }
select,textarea,input { border: solid 1pt #B0B0B0; font-family: MS Sans Serif; font-size: 10px; color: #191970; MARGIN-BOTTOM: 2px; MARGIN-TOP: 1px;}

.ahint    {font-family: MS Sans Serif; font-size:8px; text-decoration:none; color:#000080;z-index: 99;}
#hint2    {position:absolute; width:140; background-color:#FFF6DD; layer-background-color:#FFF6DD; visibility:hidden}
#hint3    {position:absolute; width:240; background-color:#FFF6DD; layer-background-color:#FFF6DD; visibility:hidden}
#hint4    {position:absolute; width:240; visibility:hidden}

.B1     { font-weight:bold; color: #6666CC}
.B2     { font-weight:bold; color: #B06A00}
.Bs1      { font-size: 8pt; font-weight:bold; color: #6666CC}
.Bs2      { font-weight:bold; color: #B06A00}
img,table {border:0}

.ismagic {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic1.gif)}
.glow_pink {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_pink.gif)}
.glow_red {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_red.gif)}
.glow_green {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_green.gif)}
.glow_yellow {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_yellow.gif)}
.glow_dark {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_dark.gif)}
.glow_blue {background-color: #E0E0E2; BACKGROUND-IMAGE:url(/i/blinkmagic_blue.gif)}

</STYLE>
<script type="text/javascript" language="JavaScript1.3" src='/i/commoninf.js'></script>
<title>Главный портал пародий на Бойцовский Клуб</title></head>

<body leftmargin=0 topmargin=0 marginwidth=0 marginheight=0 bgcolor="#e2e0e0">
<? if ($myinfo->level>=2) { ?> <h3>МИР АНТИБК</h3> <?
}
else{
?> <h3>Главный портал пародий на Бойцовский Клуб</h3> <? }
?>

<center>
<?

if ($myinfo->level<2) { ?><h5 style="color:#CC0033">ВНИМАНИЕ! <br />
Все что здесь представлено имеет чисто стебный, шуточный характер и не несет под собой никакой коммерческой основы. <br />
Все материалы представленные на этом сайте - свободные для распространения программы, связанные тематикой Бойцовского Клуба.</h5><? }

?><br />
<table border=0 cellpadding="0" cellspacing="0"><tr><td align=right valign="top">
<br><table border=0 cellpadding="10" cellspacing="10"><tr><td align="left"  background="portal/back2.gif" style="background-position:center">
<!--
 <table border=0 cellpadding="0" cellspacing="0"><tr><td><img src=/portal/img/logo0000.jpg /><td><img src="portal/img/projecto.gif" /></table> -->
<?
include_once("req.php");
include_once('config1.php');
include_once('database.php');

array_walk($_REQUEST,"format_string");
array_walk($_POST,"format_string");
array_walk($_GET,"format_string");
#echo "Идет переезд на новый хостинг<br>";
?>
&bull; <a href=chat.htm>ВХОД В ПОРТАЛ</a> <br />
(Сейчас в онлайн: <?
$resxxx=db_use('array',"select count(*) as coun from sessions");
echo ($resxxx['coun']+0).' человек';
?>)<br />
<!-- &bull; <a href=http://bandy.antibk.org>БАНДЫ ВОСТОКА</a><br /> -->
<? #<h5 style="color:#CC0033">Работает в тестовом режиме! (база от 22.11) Если удастся достать backup - будет откат на 23 ноября!<br /></h5>
/*
        mysql_connect('host100-web.mastak.com' , "antibk", "876FnfjF4J6")
         or die('Не получается подключиться. Проверьте имя сервера, имя пользователя и пароль!');
        mysql_select_db("antibk") or die('Ошибка входа в базу данных');
    mysql_query("SET NAMES cp1251;");
    $res = mysql_query("select p.persname,u.login,p.level,c.clanname,p.align,p.id_person from sessions s left join users u on s.username=u.login left join person p on p.id_person=u.id_person left join clans c on c.id_clan=p.id_clan") or die('Ошибка запроса!');
       mysql_close();
if (mysql_num_rows($res)) {
  echo "<br /><u>Сейчас в чате (".mysql_num_rows($res)."):</u><br />";
unset($i);  while ($i<mysql_num_rows($res)) {
    echo ($i>0?', ':'').'<SCRIPT>drwfl("'.(mysql_result($res,$i,'persname')?mysql_result($res,$i,'persname'):mysql_result($res,$i,'login')).'",'.mysql_result($res,$i,'id_person').',"'.mysql_result($res,$i,'level').'","'.mysql_result($res,$i,'align').'","'.mysql_result($res,$i,'clanname').'");</SCRIPT>';
    $i++;
  }echo "<br /><br />";
}*/
?>
<br /><u>Файлы:</u><br />
&bull; <a href="downloads.php?admin=&cat=6&sort=date&desc=1">DOWNLOADS</a><br />
<br /><u>Информация:</u><br />
<? if ($myinfo->level>=2) { ?>
&bull; <a href=http://antibk.org/news.php target="_blank">НОВОСТИ</a><br />
&bull; <a href="polls.php">ГОЛОСОВАНИЯ</a><br />
<? } ?>
&bull; <a href=http://events.clan.su/ target="_blank">EVENTS</a><br />
<br /><u>Общение:</u><br />
&bull; <a href=http://antibk.org/forum.php target="_blank">ФОРУМ ONLINE</a><br />
&bull; <a href="http://forum.antibk.org">ФОРУМ OFFLINE ВЕРСИЙ</a><br />
<?
if ($enter) {
?>
<? if ($myinfo->level>=2) { ?>
<br /><u>Поддержка:</u><br />
&bull; <a href="referrer.php">ПОЖЕРТВОВАТЬ ДЕНЕГ НА ХОСТИНГ</a><br />
<? } ?>
&bull; <a href="faq.htm">FAQ ПО АНТИБК</a><br />
<br /><u>Рейтинги:</u><br />
&bull; <a href="topgen.php">РЕЙТИНГ БОЙЦОВ</a><br />
&bull; <a href="http://top.antibk.org">РЕЙТИНГ САЙТОВ</a><br />
<br /><u>Статистика:</u><br />
&bull; <a href="stat.php">СТАТИСТИКА НАРОДУ В ОНЛАЙН (СРЕДНЕЕ В ДЕНЬ)</a><br />
&bull; <a href="stat.php?day=1">СТАТИСТИКА НАРОДУ В ОНЛАЙН (ЗА 3 ДНЯ)</a><br />
&bull; <a href="stat.php?battle=1">СТАТИСТИКА ПРОВЕДЕННЫХ БИТВ</a><br />
&bull; <a href="stat.php?reg=1">СТАТИСТИКА НОВЫХ ПЕРСОНАЖЕЙ</a><br />


<TABLE width=100% cellspacing=0 cellpadding=0><TR>
<?
/*
$battle=db_use('query',"select * from battle where complete=1 and id_battle>0  and start_time>0  order by start_time desc");
echo "<TD valign=top align=center><H3>Записи текущих боев на ".date("d.m.y")." (всего ".mysql_num_rows($battle).")</H3></TD>";
*/
?>
</TR></TABLE>
<?
/*
if (!mysql_num_rows($battle)) {
echo "
<CENTER><BR><BR><B>Нет текущих боев :'(</B><BR><BR><BR></CENTER>";
}else{
db_use('query',"update battle set complete=2 where complete=1 and last_event+60*timeout<".time()."-10*60");
db_use('query',"update battle set complete=2 where complete=1 and last_event IS NULL and start_time+60*timeout<".time()."-10*60");

unset($i);while ($i<mysql_num_rows($battle)) {
    $i++;$s=mysql_fetch_array($battle);

$res=db_use('query',"(select u.login,p.level,p.id_person,p.align,k.clanname,bu.team,bu.userlevel from battle_units bu
left join users u on u.id_person=bu.id_person
left join person p on p.id_person=bu.id_person
left join clans k on k.id_clan=p.id_clan where bu.id_person<100000 and bu.id_battle='".$s['id_battle']."')
 union
(select b.name as login,p.level,b.id_bot as id_person,p.align,k.clanname,bu.team,bu.userlevel from battle_units bu
left join bots b on b.id_bot=bu.id_person
left join person p on p.id_person=b.id_maskperson
left join clans k on k.id_clan=p.id_clan where bu.id_person>100000 and bu.id_battle='".$s['id_battle']."')

order by team");

unset($noshow);
echo $i.'. <font class=date>'.date("d.m.y H:i",$s['start_time']).'</font> ';
unset($ss);unset($i2);while ($i2<mysql_num_rows($res)) {
  $i2++;$x=mysql_fetch_array($res);$oldteam=1;
  if (!$noshow && $oldteam==1 && $x['team']==2) {
    $noshow=true;
    echo " против ";
  } echo '<SCRIPT>drwfl("'.$x['login'].'",'.$x['id_person'].',"'.(0+$x['userlevel']).'","'.$x['align'].'","'.$x['clanname'].'")</SCRIPT>';
  $oldteam=$x['team'];
}

echo (($s['battle_type']==1 OR $s['battle_type']==2)?'<IMG SRC="/i/fighttype1.gif" WIDTH=20 HEIGHT=20 ALT="Физический бой">':($s['battle_type']==4?($s['k']==0?'<IMG SRC="/i/fighttype2.gif" WIDTH=20 HEIGHT=20 ALT="Групповой бой">':'').(($b['k']==1 OR $b['k']==3)?'<IMG SRC="/i/fighttype4.gif" WIDTH=20 HEIGHT=20 ALT="Групповой кулачный бой">':'').(($b['k']==2 OR $b['k']==3)?'<IMG SRC="/i/fighttype6.gif" WIDTH=20 HEIGHT=20 ALT="Кровавый бой">':''):'непонятный бой')).' <A HREF="logs.php?log='.$s['id_battle'].'" target=_blank>»»</A><BR>';
unset($ft);

}#/while


}#/mysql_num_rows($res)

*/

}
?>
<br />
&bull; <a href=http://antibk.org/links.htm target=_new>СТРАНИЦА ССЫЛОК</a><br />
<?
       # mysql_connect('localhost:3306' , "ipb_abk", "2947fo42")
      #   or die('Не получается подключиться. Проверьте имя сервера, имя пользователя и пароль!');
       # mysql_select_db("ipb_abk") or die('Ошибка входа в базу данных');
  # $res = mysql_query("select last_activity,name,mgroup,mgroup_others from ipb_members where last_activity>".(time()-600*5)) or die('Ошибка запроса!');
     #  mysql_close();
#if (mysql_num_rows($res)) {
  #echo "<br /><u>Сейчас на форуме (".mysql_num_rows($res)."):</u><br />";
#unset($i); while ($i<mysql_num_rows($res)) {
  # echo ($i>0?',':'').' '.(mysql_result($res,$i,'mgroup')==9?'<img src=/i/align500.gif border=0>':'').mysql_result($res,$i,'name').date("d.m.y H:i",mysql_result($res,$i,'last_activity'));
  # $i++;
  #}#echo "<br /><br />";
#}
?>
<br />
<u>Другие ссылки:<br></u>
&bull; <a href=http://www.combats.ru target=_new>Бойцовский Клуб (http://www.combats.ru)</a><br />
<? if ($enter) {
?>
&bull; <a href=http://paladins.antibk.org target=_new>Сайт ордена Паладинов АНТИБК</a><br />
<!-- &bull; <a href=http://antibk.org.ru target=_new>АНТИБК+ (http://antibk.org.ru)</a><br />
&bull; <a href=http://emphwar.ru/refer.php?12872 target=_new>Эпоха Войны (http://emphwar.ru)</a><br /> -->
<? }

if ($enter) {
?>
<br />
<br />Лучшая клановая новостная лента месяца:
<br />&bull; <a href=http://st-abk.clan.su/ target=_new>Клан Stalkers</a><br /><br />
<br />


<hr size="0" noshade="noshade" />
<center><u>Самые скачиваемые файлы:<br /></center>
</u>
<hr size="0" noshade="noshade" />
<table border=0 cellpadding="0" cellspacing="0">
<?
unset($i);
$res=dbabk1_use("query","SELECT * FROM downloads ORDER BY counter DESC LIMIT 10");
if (mysql_num_rows($res) ){
while ($i<mysql_num_rows($res)) {
 $size=mysql_result($res,$i,'size');
 $size=($size>1024?($size>1024*1024?(((int)(($size/(1024*1024))*100)/100)).' Мб' :((int)($size/1024*100)/100).' Кб'):$size.' Б');
echo '<tr align="center"><td>'.($i+1).'&nbsp;<td align="left">'.mysql_result($res,$i,'op_short').'<td>&nbsp;&nbsp;<td><nobr>'.$size.'</nobr><td>&nbsp;&nbsp;('.mysql_result($res,$i,'counter').')&nbsp;&nbsp;<td><a href="downloads.php?download='.mysql_result($res,$i,'id_dl').'"><img src=/portal/downl.jpg></a></tr>';
 $i++;

}
}
?>
</table>
<hr size="0" noshade="noshade" />
<center><a href=downloads.php?admin=&cat=6&sort=date&desc=1>DOWNLOADS</a><br>
</center>
<hr size="0" noshade="noshade" />

<center><u>Последние добавления:<br />
</center></u>

<table border=0 cellpadding="0" cellspacing="0" align="center">
<tr><td colspan="10"><hr size="0" noshade="noshade" /></td></tr>
<?
$i=0;
$res=dbabk1_use("query","SELECT * FROM downloads where id_cat<>9 ORDER BY id_dl DESC LIMIT 3");
if (mysql_num_rows($res) ){
while ($i<mysql_num_rows($res)) {
 $size=mysql_result($res,$i,'size');
 $size=($size>1024?($size>1024*1024?(((int)(($size/(1024*1024))*100)/100)).' Мб' :((int)($size/1024*100)/100).' Кб'):$size.' Б');
echo '<tr align="center"><td>'.($i+1).'&nbsp;</td><td align="left">'.substr(mysql_result($res,$i,'op_short'),0,70).'&nbsp;&nbsp;</td><td>&nbsp;&nbsp;'.$size.'&nbsp;&nbsp;<td>('.mysql_result($res,$i,'counter').')<td>&nbsp;&nbsp;<a href="downloads.php?download='.mysql_result($res,$i,'id_dl').'"><img src=/portal/downl.jpg></a></td></tr>';
 $i++;
}
}

?></table> <? }
?>
</td></tr></table>
<td align=right valign=top>
<?
function dbabk1_use($action, $query) {
global $dburl1,$dbport1,$dbuser1,$dbpassword1,$dbname1;
        mysql_connect($dburl1 . ':' . $dbport1, $dbuser1, $dbpassword1);
        mysql_select_db($dbname1);
mysql_query("SET NAMES cp1251");
        switch ($action) {
                case 'object':
                        $result = mysql_query($query) or die('Ошибка запроса!');
                        return mysql_fetch_object($result);
                        break;
                case 'array':
                        $result = mysql_query($query) or die('Ошибка запроса!');
                        return mysql_fetch_array($result);
                        break;
                case 'query':
                        $result = mysql_query($query) or die('Ошибка запроса!');
                        return $result;
                        break;
                case 'rows':
                        $result = mysql_query($query) or die('Ошипка запроса!');
                        return mysql_num_rows($result);
                        break;
        }
       mysql_close();
}


?>
<br />
<center><br /></center>
</u><? if ($enter) {
?>
<hr size="0" noshade="noshade" />
<table border=0 cellpadding="0" cellspacing="0">
<?
unset($i);

  $res=db_use('query',"select distinct

  (select count(username) from sessions s1
    left join users u1 on u1.login=s1.username
    left join person p1 on p1.id_person=u1.id_person
    where p1.id_clan=p.id_clan and p.id_clan>1) as clanchel
  ,  p.travma_time,p.persname,r.roomname,po.id_person as slp,u.login,u.regtime,p.id_battle,p.afk
  ,(select count(*) from battle where owner_id=p.id_person and complete=1) zay
  ,(select count(battle.id_battle) from battle left join battle_units on battle.id_battle=battle_units.id_battle where battle.complete=0 and battle_units.id_person=p.id_person) as inzay
  ,p.id_person,p.level,p.id_city,p.clanzvan,p.blocked,p.align,c.clanname
  ,(select count(id_person) from battle_units where id_person<100000 and team <> (select team from battle_units where id_battle=p.id_battle and p.id_battle>0 and id_person=p.id_person) and id_battle=p.id_battle and p.id_battle>0) as nobotsenemy,s.userip,po2.id_person as inv
  from sessions s
  left join users u on u.login=s.username
  left join person p on p.id_person=u.id_person
  left join clans c on c.id_clan=p.id_clan
  left join room r on r.id_room=p.id_room
  left join person_on po on po.id_person=p.id_person and po.type=1
  left join person_on po2 on po2.id_person=p.id_person and po2.type=5
  order by IF (p.level>0,0,1) asc,clanchel desc,p.align desc limit 300");
if (mysql_num_rows($res) ){
while ($i<mysql_num_rows($res)) {
  $i++;$s=mysql_fetch_array($res);
    $name=($s['persname']?$s['persname']:$s['login']);
    $name1='';
    $resip=db_use("array","SELECT COUNT(*) as coun FROM sessions WHERE userip='".$s[userip]."'");
    if ($resip[coun]>1) {$a1=($resip[coun]>15?15:$resip[coun]); if (!$ips[$s[userip]]) { $i3++; $ips[$s[userip]]=$i3; } }
    $res2=db_use('array',"select * from chat where nick='".$name."' and timestamp>".time()."-60*5 limit 1");
  # echo "select * from chat where nick='".$name."' and timestamp>".time()."-60*5 limit 1";
      $n1=0;$n2=0;$priv_bool=false;unset($to);
      for ($i1=0;$i1<strlen($res2['text']);$i1++) {
        if ((substr($res2['text'],$i1,9)=='private [' or substr($res2['text'],$i1,4)=='to [') && !$priv_bool) {
          if (substr($res2['text'],$i1,4)=='to [') {$to=true;}
          $priv_bool=true;$n1=$i1;
        }elseif (substr($res2['text'],$i1,1)==']' && $priv_bool) {
          $n2=$i1;$name1=($to?substr($res2['text'],$n1+4,$n2-$n1-4):substr($res2['text'],$n1+9,$n2-$n1-9));
          $priv_bool=false;
          break;
        }
      }#echo $name1;
      $y=$s['regtime'][0].$s['regtime'][1].$s['regtime'][2].$s['regtime'][3];
      $m=$s['regtime'][5].$s['regtime'][6];
      $d=$s['regtime'][8].$s['regtime'][9];
      if ($y==date('Y') && $m==date('m') && $d==date('d')) {$new=true; }else{$new=false;}
      $a='FEDCBA9876543210';
 echo '<tr align="center" '.($resip['coun']>1?'bgcolor="#FF'.$a[$a1].$a[$a1].$a[$a1].'A"':'').'><td>'.($resip['coun']>1?'№'.$ips[$s[userip]].' ':'').'<td><font size=-2>'.($i).'&nbsp;<td align="left" nowrap><nobr>'.($new?'<img src=portal/new.gif>':'').''.($s['afk']>0?'<small><i>afk</i></small> ':'');

 if ($s[inv] && $id!=12) {
 echo 'невидимко';
 }else{
 echo ($s[inv]?'невидимко<br />':'').($s['align']?"<IMG SRC=/i/align".$s['align'].".gif WIDTH=12 HEIGHT=15 style=\"vertical-align:middle\">":'').($s['clanname']?'<A HREF="/encicl/klan/'.$s['clanname'].'.html" target=_blank><IMG SRC="/i/klan/'.$s['clanname'].'.gif" WIDTH=24 HEIGHT=15 ALT="" style="vertical-align:middle"></A>':'').'<font size=-2>'.$name."[".$s['level']."]<a href=/inf.php?".$s['id_person']." target=_blank><IMG SRC=/i/inf.gif WIDTH=12 HEIGHT=11 ALT=\"Информация о персонаже\"></a>".($s['slp']?'<img src=/i/sleep2.gif style="vertical-align:middle">':'').($s['travma_time']>time()?'<img src=/i/travma2.gif style="vertical-align:middle">':'');
 }
 echo "<td><nobr><font size=-2>".($s['id_battle']?'в <a href=/logs.php?log='.$s['id_battle'].'>поединке'.($s['nobotsenemy']?'':' с ботом').'</a><img src=/i/fighttype2.gif height=17 style="vertical-align:middle">':($s['zay']?'подал заявку на бой':($s['inzay']?'ожидает начала поединка':($s['roomname'].(strpos($res2['text'],'приветствует Вас.')?' - вошел в игру':($name1?' - общается с '.$name1.'':''))))))."".'</nobr></tr>';
}
if ($resxxx['coun']>300) {echo "<tr><td align=center colspan=10>.</tr>";}
}
?>

</table>
<hr size="0" noshade="noshade" />

<center><u>Сайты кланов:<br />
</center></u>

<table border=0 cellpadding="0" cellspacing="0" align="center">
<tr><td colspan="10"><hr size="0" noshade="noshade" /></td></tr>
<tr><td align="center">клан:</td><td align="center">в клане:</td><td align="center">место в рейтинге:</td></tr>


<?
$i=0;
$res=db_use("query","
SELECT c.*,count(p.id_person) as coun, ( select count(*) from top_stat ts2 left join top t2 on t2.id_site=ts2.id_site where ts2.timeday='".date("Y-m-d",time())."' and t2.deleted<1 and t2.razdel=1 and ts2.host>ts.host )+1 as coun2,
CASE WHEN ts.id_site>0 or
(c.clanname like 'Redcruits%' and
  (SELECT sum(LOCATE(cx.clanname, c.clanname)) from clans cx where
  length(trim(cx.clan_url))>0 and length(trim(cx.clanname))>0)>0
) THEN true ELSE false END as cmp
,ts.id_site FROM clans c
left join person p on p.id_clan=c.id_clan
left join top t on t.klan=c.clanname and t.deleted<1 and t.razdel=1
left join top_stat ts on ts.id_site=t.id_site and ts.timeday='".date("Y-m-d",time())."'
where c.id_clan>1 and c.clan_url<>'' group by c.id_clan order by cmp desc,coun2 asc,coun desc");
if (mysql_num_rows($res) ){
while ($i<mysql_num_rows($res)) {
if (mysql_result($res,$i,'id_site')) {
echo '<tr align="center"><td align="left" nowrap>';
echo '<nobr><IMG SRC=/i/align'.mysql_result($res,$i,'clanalign').".gif WIDTH=12 HEIGHT=15 style=\"vertical-align:middle\">".'<A HREF="/encicl/klan/'.mysql_result($res,$i,'clanname').'.html" target=_blank><IMG SRC="/i/klan/'.mysql_result($res,$i,'clanname').'.gif" WIDTH=24 HEIGHT=15 ALT="" style="vertical-align:middle"></A><a '.(mysql_result($res,$i,'cmp')?'':'style="color: #555555;" onmouseover="this.style.color=\'#111111\'" onmouseout="this.style.color=\'#555555\'"').' href="'.mysql_result($res,$i,'clan_url').'" target=_blank>'.mysql_result($res,$i,'clanname').'</a></nobr></td><td><a href=http://top.antibk.org/clanpers.php?clan='.mysql_result($res,$i,'clanname').'>'.mysql_result($res,$i,'coun').'</a><td><b>'.(mysql_result($res,$i,'id_site')?mysql_result($res,$i,'coun2'):'-').'</b></tr>';
}
 $i++;
}
}

}else{
?>
<hr size="0" noshade="noshade" />
<center><u>Онлайн - пародии БК:</u><br /></center>
<table border=0 cellspacing=5 cellpadding=0>
<tr><!-- <td valign="top">Эпоха Войны<br />
<img src="portal/abkol_ew.gif" /><br />
Переписанная игра Смутные Времена под лад БК<br />
<a href=http://emphwar.ru/refer.php?12872 target=_blank>Вход</a></td>-->
<td valign="top" align="left">АнтиБК+<br />
<img src="portal/abkol_ru.gif" /><br />
Переписанная игра Смутные Времена под лад БК.<br />
<a href=http://plus.antibk.org target=_blank>Вход</a><br />
<?
$base_name="localhost";$base_user="abkplus";$base_pass="ezB:R49PEwCt3ANA";$db_name="abkplus";
$data = mysql_connect($base_name, $base_user, $base_pass);
if(!mysql_select_db($db_name,$data)){      print "Ошибка при подключении к БД<BR>";     echo mysql_error();     die();    }
$ON_S   = mysql_query("SELECT * FROM `online`");
$online = mysql_num_rows($ON_S);
echo "Сейчас в онлайн: {$online} человек";
?></td>
<td valign="top" align="left">АНТИБК Online<br />
<img src="portal/abkol_01.gif" /><br />
Не переделанная из Смутных Времен, пародия БК, с групповыми боями, встроенной магией, эликсирами, кланами, ОС и более похожая на БК.<br />
<a href=chat.htm target=_blank>Вход</a><br />
<?
echo "Сейчас в онлайн: ".(($resxxx['coun']+0))." человек";

?>
</td></tr><!--
<tr><td valign="top">Дорога через Хаос<br />
<img src="portal/haos_01.gif" /><br />
Клон БК с другим оформлением, дизайном, картинками, но теми же боями, видами вещей и модификаторами.<br />
<a href=http://chaosroad.com/ target=_blank>Вход</a></td><td></td></tr>
-->
</table>
<?
}
?>


</table>
<tr><td colspan="10">

<br />
<hr size="0" noshade="noshade" />
<center><u>Версии АНТИБК Оффлайн:</u><br /></center>
<table border=0 cellpadding="10" cellspacing="0">
<tr><td>2002 - Combats Remix<br /><img src=portal/cbr_01.gif /></td><td>Первая версия пародии на БК от TJDave, зарождение жанра. Инвентарь от Дьябло, Вместо ловкости - злобность, лог боя с юмором. Зарабатывание игровых $ посредством продажи соотношения побед/поражений, покупка статовых очков. Бесконечное (порядка 1000) число уровней. <br />
<br />
Последняя версия: Combats Remix 114 (23.12.2002) <a href="downloads.php?download=57"><img src=/portal/downl.jpg></a></td></tr>
<tr><td>2003-2005 - CBR АНТИБК<br /><img src=portal/214_01.gif /></td><td>Доработка TJDave Combats Remix в сторону БК, нормальные статы, модификаторы, мастерство, модифицирование вещей, первые свитки, групповые бои, хранение логов боев, вывод логов боев как в бк, с теми же фразами, первые кланы оффлайна (тогда на форуме), звания в кланах, клановые и именные вещи, таблица опыта до 21 приближена к БК-шной. Последняя версия от TJDave - 198NEWBK2. С переделкой БК под новый лад, проект был заброшен и на исходниках появилась последняя доработка от Alone Soul, получившая название CBR АНТИБК 214 от Alone Soul<br />
<br />
Последняя версия: CBR АНТИБК 214 от Alone Soul (06.05.2005) <a href="downloads.php?download=4"><img src=/portal/downl.jpg></a></td></tr>
<tr><td>2005-2007 - АнтиБК<br /><img src=portal/dn_01.gif /></td><td>Полностью на новом web Delphi-движке от Тараканище игра дорабатываемая до нынешних времен с учетом последних нововведений в БК - пещеры, штанов и т.д.<br />
<br />
Последняя версия: АнтиБК от Dead Noob 0.7 Final (02.10.2006) <a href="downloads.php?download=227"><img src=/portal/downl.jpg></a></td></tr>
<tr><td>2005-2007 CombatsOffline<br />
<br />
нет изображения
<br />
</td><td>Параллельно развивающаяся версия игры БК, работающая на локальном компьютере.<br />
<br />
Последняя версия: Combats Offline Version 4.6.2 (14.01.2007) <a href="http://antibk.org/downloads.php?download=411"><img src=/portal/downl.jpg></a></td></tr>
</table><br />

</td></tr>

<tr><td colspan="10"><hr size="0" noshade="noshade" /></td></tr>
</table><br /><!--Rating@Mail.ru COUNTEr--><script language="JavaScript" type="text/javascript"><!--
d=document;var a='';a+=';r='+escape(d.referrer)
js=10//--></script><script language="JavaScript1.1" type="text/javascript"><!--
a+=';j='+navigator.javaEnabled()
js=11//--></script><script language="JavaScript1.2" type="text/javascript"><!--
s=screen;a+=';s='+s.width+'*'+s.height
a+=';d='+(s.colorDepth?s.colorDepth:s.pixelDepth)
js=12//--></script><script language="JavaScript1.3" type="text/javascript"><!--
js=13//--></script><script language="JavaScript" type="text/javascript"><!--
d.write('<a href="http://top.mail.ru/jump?from=1136139"'+
' target=_top><img src="http://d6.c5.b1.a1.top.list.ru/counter'+
'?id=1136139;t=50;js='+js+a+';rand='+Math.random()+
'" alt="Рейтинг@Mail.ru"'+' border=0 height=31 width=88/><\/a>')
if(11<js)d.write('<'+'!-- ')//--></script><noscript><a
target=_top href="http://top.mail.ru/jump?from=1136139"><img
src="http://d6.c5.b1.a1.top.list.ru/counter?js=na;id=1136139;t=50"
border=0 height=31 width=88
alt="Рейтинг@Mail.ru"/></a></noscript><script language="JavaScript" type="text/javascript"><!--
if(11<js)d.write('--'+'>')//--></script><!--/COUNTER--><SCRIPT LANGUAGE="JavaScript">document.write('<A HREF="http://top.combats.ru/c.pl?jump" target=_blank><IMG SRC="http://top.combats.ru/c.pl?z11&tmp='+Math.random()+'" WIDTH=88 HEIGHT=33 BORDER=0 ALT="Рейтинг Бойцовского клуба"></A>');</SCRIPT><noscript><A HREF="http://top.combats.ru/c.pl?jump" target=_blank><IMG SRC="http://top.combats.ru/c.pl?z11" WIDTH=88 HEIGHT=33 BORDER=0 ALT="Рейтинг Бойцовского клуба"></A></noscript>
<a href="http://www.yandex.ru/cy?base=0&host=antibk.org"><img src="http://www.yandex.ru/cycounter?antibk.org" width="88" height="31" alt="Яндекс цитирования" border="0"></a>
</center>

</body></html>